summaryrefslogtreecommitdiffstats
path: root/dvm/2287
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-09-07 14:39:38 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-09-07 14:39:38 +0530
commit76d72094cf86764a17fbd1f8a668e203c64e4144 (patch)
tree411ac2fdcb4d1a3d6d60375b3ed3223865a1779d /dvm/2287
parent13e58112abba2bad7ba5cba0ddb2927f98f1b387 (diff)
more testcases (2095, 2287, 2298, 2567, 2803) and some small changes to the framework
Diffstat (limited to 'dvm/2287')
-rwxr-xr-xdvm/2287/testcase26
1 files changed, 26 insertions, 0 deletions
diff --git a/dvm/2287/testcase b/dvm/2287/testcase
new file mode 100755
index 0000000..065d99b
--- /dev/null
+++ b/dvm/2287/testcase
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers
+}
+
+function absent_volinfo ()
+{
+ $GLUSTERFSDIR/gluster volume info new_volume 2>/dev/null 1>/dev/null;
+ ret=$?;
+ return $ret;
+}
+
+function main ()
+{
+ absent_volinfo;
+ op_ret=$?;
+ if [ $op_ret -ne 0 ]; then
+ exit 0;
+ else
+ exit 1;
+ fi
+}
+
+_init && main "$@"